
#include <getopt.h>

#include "slc.hh"
#include "options.hh"
#include "screen.hh"
#include "error.hh"

Screen S;
Options O;

/*!
** Program entry point
**
** @param argc arg count
** @param argv arg vector
**
** @return program err code
*/
int main(int argc, char *argv[])
{
  try {
    // get argvline options
    O.load(argc, argv);

    // get environment options
    O.loadenv();

    // Create graphic env
    S.init();

    // Try to login
    S.login();

    // Processing
    S.run();
  }
  catch (const Error &e) {
    endwin();
    e.print();
    _exit(e.code());
  }

  return 0;
}
